<header id="site-header">

  <div class="wrapper">
    <a id="course-link" title="{{site.course}} {{site.semester}}: {{site.course_title}}" class="site-title" href="{{ site.baseurl }}/">{% if site.icon %}<img alt="{{site.symbol}}" class="site_icon" src="{{site.baseurl}}/{{site.icon}}" />{% else %}<span class="site_sym"><div class="site_sym_inner">{{ site.symbol }}</div></span> {% endif %}<span id="course-id" class="coursenum">{{ site.course }}</span> <span class="semester">{{ site.semester }}</span></a>
    {% if site.coursefun %}
    <script>
      let courseElem = document.getElementById("course-id");
      let courseLinkElem = document.getElementById("course-link");
      courseLinkElem.addEventListener("mouseenter", _ => { courseElem.innerHTML = '{{site.coursefun}}'; }, false);
      courseLinkElem.addEventListener("mouseleave", _ => { courseElem.innerHTML = '{{site.course}}'; }, false);
    </script>
    {% endif %}

    <nav class="site-nav">
      {% include navlinks.html %}
    </nav>

  </div>

</header>
